Bug 1665514 - python3: RPMDiff warning - manpage with .gz suffix is not really gzipped
Summary: python3: RPMDiff warning - manpage with .gz suffix is not really gzipped
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: python3
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: pre-dev-freeze
: 8.1
Assignee: Patrik Kopkan
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On: 1679646
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-11 15:46 UTC by Tomas Orsava
Modified: 2019-11-05 22:03 UTC (History)
4 users (show)

Fixed In Version: python3-3.6.8-8.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:03:43 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3520 None None None 2019-11-05 22:03:58 UTC

Description Tomas Orsava 2019-01-11 15:46:42 UTC
RPMDiff for the python3 component is reporting a problem with the `unversioned-python` man page in the platform-python RPM:


Manpage checker reported problems with /usr/share/man/man1/unversioned-python.1.gz on all architectures:
manpage with .gz suffix is not really gzipped; "man" may fail upon this file, and should be checked before waiving


The man page displays without issues, but it'd be better to gzip it.

Comment 2 Miro Hrončok 2019-04-24 13:04:41 UTC
Note that RPM gzips manpages automatically (but apparently it skips those that already have .gz suffix).

Comment 3 Tomas Orsava 2019-04-30 00:29:24 UTC
Patrik, are you already working on this? I'm already building a fix since I mistakenly thought *I* was assigned here :)

Comment 4 Tomas Orsava 2019-04-30 15:32:49 UTC
Since the build worked, I tested it and everything works, so here's a pull request:

https://src.osci.redhat.com/rpms/python3/pull-request/50

Reviews welcome, Patrik.

Comment 5 Patrik Kopkan 2019-05-07 15:11:20 UTC
Thank you, I didn't get to this and sorry for replying to late.

Comment 9 errata-xmlrpc 2019-11-05 22:03:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3520


Note You need to log in before you can comment on or make changes to this bug.